%define oname	OpenRA

Summary:	Open source game engine of Command & Conquer
Name:		openra
Version:	20130915
Release:	%mkrel 6
Source0:	http://openra.res0l.net/assets/downloads/release-%{version}.tar.gz
# https://github.com/OpenRA/OpenRA/issues/3834
Patch0:		%{oname}-fix_geoip.patch
License:	GPLv3
Group:		Games/Strategy
URL:		http://openra.res0l.net
BuildArch:	noarch
BuildRequires:	pkgconfig(mono)
BuildRequires:	fonts-ttf-freefont
BuildRequires:	pkgconfig(libgdiplus)
Requires:	openal
Requires:	libgdiplus-devel

%description
%{oname} is a Libre/Free Real Time Strategy game engine that allows the
recreation of the early Command & Conquer titles.
%{oname} currently includes three distinct mods that reinvent:
- C&C (Tiberian Dawn)
- C&C: Red Alert
- Dune 2000.
Cross-platform multiplayer is supported between Windows, OS X, and Linux.
Singleplayer skirmishes against bots.

%prep
%setup -q -n %{oname}-release-%{version}
%apply_patches

%build
# Fix paths before %make
sed -i 's,prefix ?= .*,prefix ?= %{_prefix},g' Makefile
sed -i 's,datadir ?= .*,datadir ?= %{_gamesdatadir},g' Makefile
sed -i 's,bindir ?= .*,bindir ?= %{_gamesbindir},g' Makefile

%make 

%install
%makeinstall_std

install -D -m 0644 packaging/linux/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

# Install icons
mkdir -p %{buildroot}%{_datadir}/icons
cp -a packaging/linux/hicolor %{buildroot}%{_datadir}/icons

# Remove mono debug files
find %{buildroot} -iname \*.mdb -delete

%files
%doc AUTHORS COPYING INSTALL HACKING
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/*/apps/%{name}-editor.png


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 20130915-6.mga4
+ Revision: 538623
- Mageia 4 Mass Rebuild

* Tue Oct 01 2013 dams <dams> 20130915-5.mga4
+ Revision: 490004
- update requires

* Fri Sep 20 2013 dams <dams> 20130915-4.mga4
+ Revision: 481641
- Went back to a 'noarch' package...

* Thu Sep 19 2013 dams <dams> 20130915-3.mga4
+ Revision: 481446
- Package is no more 'noarch'

* Thu Sep 19 2013 dams <dams> 20130915-2.mga4
+ Revision: 481417
- add a patch to fix missing GeoIP.dll file

* Mon Sep 16 2013 dams <dams> 20130915-1.mga4
+ Revision: 480322
- new version 20130915

* Sat Jun 08 2013 fwang <fwang> 20130514-2.mga4
+ Revision: 440464
- br font
- drop unneeded br

* Fri Jun 07 2013 dams <dams> 20130514-1.mga4
+ Revision: 440223
- imported package openra

